<?php
if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

if (is_string($conf['ContestResults'])) {
	$conf['ContestResults'] = unserialize($conf['ContestResults']);
}

// +-----------------------------------------------------------------------+
//				Tabsheet
// +-----------------------------------------------------------------------+
include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
$page['tab'] = (isset($_GET['tab'])) ? $_GET['tab'] : $page['tab'] = 'manage';
	
$tabsheet = new tabsheet();
$tabsheet->add('manage', l10n('CR_manage_tab'), CR_ADMIN . '-manage'); 	// Gestion des concours
$tabsheet->add('new', l10n('CR_new_tab'), CR_ADMIN . '-new'); 			// Ajouter un nouveau concours
if (isset($_GET['contest_id'])) { 												// Editer le concours | Résultats du concours
	$tabsheet->add($page['tab'], l10n('CR_'.$page['tab'].'_tab'), CR_ADMIN . '-' . $page['tab'] . '&amp;contest_id=' . $_GET['contest_id']);
}
$tabsheet->add('config', l10n('Configuration'), CR_ADMIN . '-config'); 	// Configuration
$tabsheet->select($page['tab']);
$tabsheet->assign();

// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
$template->assign(array(
	'CR_VERSION' => CR_NAME . ' ' . CR_VERSION,
	'CR_PATH' => CR_PATH,
	'CR_ADMIN' => CR_ADMIN,
));

if ($page['tab'] == 'edit') { $page['tab'] = 'new'; } // L'édition se fait sur la page de création
include(CR_PATH.'admin/' . $page['tab'] . '.php');

?>