<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $user, $conf;

$contests = pwg_query("SELECT 
		id, 
		name, 
		visible, 
		date_begin, 
		date_end, 
		logo, 
		summary 
	FROM " . CR_TABLE_1 . " 
	WHERE id IN(" . $datas['contest_id'] . ");");
	
	
while ($contest = pwg_db_fetch_assoc($contests)) {
	$contest = array_merge($contest, get_contest_status($contest['date_begin'],$contest['date_end']));

	if ($contest['visible'] OR is_admin()) {
		// infos sur le concours
		$block['contests'][$contest['id']] =  array(
			'ID' => $contest['id'],
			'NAME' => trigger_event('render_category_name', $contest['name']),
			'VISIBLE' => $contest['visible'],
			'STATUS' => $contest['status'],
			'DATE_END' => format_date($contest['date_end']),
			'DATE_BEGIN' => format_date($contest['date_begin']),
			'LOGO' => $contest['logo'],
			'SUMMARY' => CR_cut_string(trigger_event('render_category_name', $contest['summary']), $conf['ContestResults']['truncate_summary']),
			'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_category_name', $contest['name'])),
			'DAYS' => $contest['days'],
		);
		
		// podium si terminé
		if ($contest['status'] == 'finished') {
			$results = pwg_query("SELECT
					i.id,
					i.name,
					i.file,
					i.path,
					i.tn_ext,
					c.rank,
					c.author
				FROM " . IMAGES_TABLE . " AS i
				INNER JOIN " . CR_TABLE_2 . " AS c
				ON c.image_id = i.id
				WHERE c.contest_id = " . $contest['id'] . "
				ORDER BY c.rank ASC
				LIMIT 3 OFFSET 0;");
			
			while ($result = pwg_db_fetch_assoc($results)) {
				$block['contests'][$contest['id']]['RESULTS'][$result['rank']] = array(
					'RANK' => $result['rank'],
					'AUTHOR' => $result['author'],
					'TN_SRC' => get_thumbnail_url($result)
				);
			}
		}
		
	}
}

switch ($datas['nb_per_line']) {
	case '1' :
		$block['SIZE_CLASS'] = 'one_comment';
		break;
	case '2' :
		$block['SIZE_CLASS'] = 'two_comment';
		break;
	case '3' :
		$block['SIZE_CLASS'] = 'three_comment';
		break;
}

$block['CR_PATH'] = CR_PATH;
$block['TEMPLATE'] = dirname(__FILE__).'/cr_stuffs.tpl';

?>