{combine_css path=$CR_PATH|@cat:'template/style.css'}

{$MENUBAR}

{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}

<div class="content">
	<div class="titrePage">
		<ul class="categoryActions">  
			{if isset($U_EDIT) }
			<li><a href="{$U_EDIT}" title="{'CR_edit_tab'|@translate}" class="pwg-state-default pwg-button">
				<span class="pwg-icon pwg-icon-category-edit"> </span><span class="pwg-button-text">{'CR_edit_tab'|@translate}</span>
			</a></li>
			<li><a href="{$U_RESULTS}" title="{'CR_results_tab'|@translate}" class="pwg-state-default pwg-button">
				<span class="pwg-icon pwg-icon-category-view-flat"> </span><span class="pwg-button-text">{'CR_results_tab'|@translate}</span>
			</a></li>
			{/if}
			{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
		</ul>
		<h2>
			<a href="index.php?/contests" name="top">{'Contests'|@translate}</a>{$SEPARATOR}<a href="{$URL}">{$NAME}</a>
			<span class="CR_finished">({$DAYS})</span>
		</h2>
	</div> <!-- titrePage -->

	{if !$VISIBLE}
	<div class="nopublic">
		{'CR_nopublic'|@translate}
	</div>
	{/if}
	
	<div class="CR_banner">
	{if !empty($BANNER)}
		<h1><a href="#results"><img src="{$BANNER}" alt="{$NAME}"/></a></h1>
	{else}
		<h1><a href="#results">{$NAME}</a></h1>
	{/if}
	</div>
	
	<div class="CR_text CR_period">
		{$DATE_BEGIN} - {$DATE_END}
	</div>
	
	{foreach from=$description item=desc name=desc_loop}
	<div class="CR_text">
		<h3>{$desc.NAME} :</h3>
		{$desc.CONTENT}
	</div>
	{/foreach}
</div> <!-- content_contest -->

{if !empty($RESULTS)}
<div class="content">
	<div class="titrePage">
		<ul class="categoryActions">  
			{if isset($U_RESULTS) }
			<li><a href="{$U_RESULTS}" title="{'CR_results_tab'|@translate}" class="pwg-state-default pwg-button">
				<span class="pwg-icon pwg-icon-category-view-flat"> </span><span class="pwg-button-text">{'CR_results_tab'|@translate}</span>
			</a></li>
			{/if}
		</ul>
		<h2><a href="#top">{$NAME}</a>{$SEPARATOR}<a href="#results" name="results">{'CR_results'|@translate}</a></h2>
	</div>
	
	<div id="CR_podium">
	{foreach from=$RESULTS item=result}
		{if $result.RANK <= 3}
		{if $result.RANK == 2}<div class="podium_23">{/if}
		<div class="podium_{$result.RANK}">
			<div class="illustration">
				<div class="title">{'CR_order_'|cat:$result.RANK|@translate} {'CR_place'|@translate} - <u>{$result.AUTHOR}</u></div>
				<a href="{$result.IMAGE_URL}" title="{$result.IMAGE_NAME}">
					<img src="{$result.IMAGE_SRC}" alt="{$result.IMAGE_NAME}"/>
				</a>
			</div>
			<p>
				{$result.COMMENT}
			</p>
		</div>
		{if $result.RANK == 3 OR ($result.RANK == 2 AND $NB_RESULTS == 2)}</div>{/if} <!-- au cas ou il n'y a que deux résultats -->
		{/if}
	{/foreach}
	</div>
	
	<ul class="thumbnails">
	{foreach from=$RESULTS item=result}
		{if $result.RANK > 3}
		<li>
			<span class="wrap1">
				<span class="wrap2">
					<a href="{$result.IMAGE_URL}" title="{$result.IMAGE_NAME}">
						<img class="thumbnail" src="{$result.TN_SRC}" alt="{$result.IMAGE_NAME}"/>
					</a>
				</span>							
				<span class="thumbLegend">
					<span class="thumbnail-name">
						{$result.AUTHOR}
					</span>
					<span class="nb-hits">
						<br>{$result.RANK}{'CR_order_sup'|@translate} {'CR_place'|@translate}
					</span>
				</span>
			</span>
		</li>
		{/if}
	{/foreach}
	</ul>
	
	{if !empty($LOGO)}
	<div class="CR_banner">
		<h1><a href="#top"><img src="{$LOGO}" alt="{$NAME}"/></a></h1>
	</div>
	{/if}
</div> <!-- content_results -->
{/if}

{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}